<?php 
namespace FoodBook\Inc;
/**
 *
 * @package     Foodbook
 * @author      ThemeLooks
 * @copyright   2020 ThemeLooks
 * @license     GPL-2.0-or-later
 *
 *
 */

class Text {

  public static function getText() {
    return self::definedText();
  }

  public static function definedText() {

    return [
      'view_cart'           => esc_html__( 'View Cart', 'foodbook' ),
      'buy_more'            => esc_html__( 'Buy More', 'foodbook' ),
      'cart_added_error'    => esc_html__( 'Product don\'t added in the cart. please try again.', 'foodbook' ),
      'review_success_msg'  => esc_html__( 'Review has been submitted successfully.', 'foodbook' ),
      'review_error_msg'    => esc_html__( 'Review submission Failed. Please try again.', 'foodbook' ),
      'show_more'           => esc_html__( 'Show More', 'foodbook' ),
      'show_less'           => esc_html__( 'Less', 'foodbook' ),
      'loading'             => esc_html__( 'Loading', 'foodbook' ),
      'new_order_placed'    => esc_html__( 'New Order Placed', 'foodbook' ),
      'start_order'         => esc_html__( 'Start Order', 'foodbook' ),
      'delivery_available_success' => esc_html__( 'Delivery is available', 'foodbook' ),
      'delivery_available_error'   => esc_html__( 'Sorry, We are not available to delivery in your area', 'foodbook' ),
      'dp_date_text'       => esc_html__( 'Deliver/Pickup Date', 'foodbook' ),
      'dp_time_text'       => esc_html__( 'Deliver/Pickup Time', 'foodbook' ),
      'dp_today_text'      => esc_html__( 'Today Delivery/Pickup', 'foodbook' ),
      'dp_schedule_text'   => esc_html__( 'Schedule Delivery/Pickup', 'foodbook' ),
      'closing_time_msg'   => foodbook_getOptionData( 'closing-time-msg', esc_html__( 'This is closing time. So you can\'t order.', 'foodbook' ) )
    ];

  }


}
